Workflows-2
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
POST | |
GET | |
POST | |
GET | |
GET | |
GET | |
POST | |
POST | |
GET | |
POST | |
PATCH | |
DELETE |
Create environments hog flows user blast radius
Request parameters
- filtersobject
- group_type_indexinteger
Response
Example request
POST /api /environments /:environment_id /hog_flows /user_blast_radiusExample response
Status 200
RESPONSE
List all hog flows
Required API key scopes
hog_flow:readQuery parameters
- created_atstring
- created_byinteger
- idstring
- limitinteger
- offsetinteger
- updated_atstring
Response
Example request
GET /api /projects /:project_id /hog_flowsExample response
Status 200
RESPONSE
Create hog flows
Required API key scopes
hog_flow:writeRequest parameters
- namestring
- descriptionstring
- status
- trigger
- trigger_masking
- conversion
- exit_condition
- edges
- actionsarray
- variablesarray
Response
Example request
POST /api /projects /:project_id /hog_flowsExample response
Status 201
RESPONSE
Retrieve hog flows
Required API key scopes
hog_flow:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /hog_flows /:idExample response
Status 200
RESPONSE
Update hog flows
Required API key scopes
hog_flow:writePath parameters
- idstring
Request parameters
- namestring
- descriptionstring
- status
- trigger
- trigger_masking
- conversion
- exit_condition
- edges
- actionsarray
- variablesarray
Response
Example request
PATCH /api /projects /:project_id /hog_flows /:idExample response
Status 200
RESPONSE
Delete hog flows
Required API key scopes
hog_flow:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /hog_flows /:idExample response
Status 204 No response body
Retrieve hog flows batch jobs
Path parameters
- idstring
Response
Example request
GET /api /projects /:project_id /hog_flows /:id /batch_jobsExample response
Status 200
RESPONSE
Create hog flows batch jobs
Path parameters
- idstring
Request parameters
- namestring
- descriptionstring
- status
- trigger
- trigger_masking
- conversion
- exit_condition
- edges
- actionsarray
- variablesarray
Response
Example request
POST /api /projects /:project_id /hog_flows /:id /batch_jobsExample response
Status 200
RESPONSE
Retrieve hog flows blocked runs
List workflow runs that were blocked by the dedup bug.
Path parameters
- idstring
Response
Example request
GET /api /projects /:project_id /hog_flows /:id /blocked_runsExample response
Status 200
RESPONSE
Create hog flows invocations
Path parameters
- idstring
Request parameters
- namestring
- descriptionstring
- status
- trigger
- trigger_masking
- conversion
- exit_condition
- edges
- actionsarray
- variablesarray
Response
Example request
POST /api /projects /:project_id /hog_flows /:id /invocationsExample response
Status 200
RESPONSE
Retrieve hog flows logs
Required API key scopes
hog_flow:readPath parameters
- idstring
Query parameters
- afterstring
- beforestring
- instance_idstring
- levelstring
- limitintegerDefault:
50 - searchstring
Example request
GET /api /projects /:project_id /hog_flows /:id /logsExample response
Status 200 No response body
Retrieve hog flows metrics
Required API key scopes
hog_flow:readPath parameters
- idstring
Query parameters
- afterstringDefault:
-7d - beforestring
- breakdown_bystringDefault:
kindOne of:"name""kind" - instance_idstring
- intervalstringDefault:
dayOne of:"hour""day""week" - kindstring
- namestring
Response
Example request
GET /api /projects /:project_id /hog_flows /:id /metricsExample response
Status 200
RESPONSE
Retrieve hog flows metrics totals
Required API key scopes
hog_flow:readPath parameters
- idstring
Query parameters
- afterstringDefault:
-7d - beforestring
- breakdown_bystringDefault:
kindOne of:"name""kind" - instance_idstring
- intervalstringDefault:
dayOne of:"hour""day""week" - kindstring
- namestring
Response
Example request
GET /api /projects /:project_id /hog_flows /:id /metrics /totalsExample response
Status 200
RESPONSE
Create hog flows replay all blocked runs
Replay all blocked runs in a single bulk call to Node.
Path parameters
- idstring
Request parameters
- namestring
- descriptionstring
- status
- trigger
- trigger_masking
- conversion
- exit_condition
- edges
- actionsarray
- variablesarray
Response
Example request
POST /api /projects /:project_id /hog_flows /:id /replay_all_blocked_runsExample response
Status 200
RESPONSE
Create hog flows replay blocked run
Replay a single blocked run. Django fetches the event, Node creates the invocation and writes the log.
Path parameters
- idstring
Request parameters
- namestring
- descriptionstring
- status
- trigger
- trigger_masking
- conversion
- exit_condition
- edges
- actionsarray
- variablesarray
Response
Example request
POST /api /projects /:project_id /hog_flows /:id /replay_blocked_runExample response
Status 200
RESPONSE
List all hog flows schedules
Path parameters
- idstring
Query parameters
- created_atstring
- created_byinteger
- idstring
- limitinteger
- offsetinteger
- updated_atstring
Response
Example request
GET /api /projects /:project_id /hog_flows /:id /schedulesExample response
Status 200
RESPONSE
Create hog flows schedules
Path parameters
- idstring
Query parameters
- created_atstring
- created_byinteger
- idstring
- limitinteger
- offsetinteger
- updated_atstring
Request parameters
- namestring
- descriptionstring
- status
- trigger
- trigger_masking
- conversion
- exit_condition
- edges
- actionsarray
- variablesarray
Response
Example request
POST /api /projects /:project_id /hog_flows /:id /schedulesExample response
Status 200
RESPONSE
Update hog flows schedules
Path parameters
- idstring
- schedule_idstring
Request parameters
- namestring
- descriptionstring
- status
- trigger
- trigger_masking
- conversion
- exit_condition
- edges
- actionsarray
- variablesarray
Response
Example request
PATCH /api /projects /:project_id /hog_flows /:id /schedules /:schedule_idExample response
Status 200
RESPONSE
Delete hog flows schedules
Path parameters
- idstring
- schedule_idstring
Example request
DELETE /api /projects /:project_id /hog_flows /:id /schedules /:schedule_id